Page MenuHomePhabricator

Provide source code of Qt
Closed, ResolvedPublic

Description

Complete corresponding source code of the library used with the application or the device built using LGPL, including all modifications to the library, should be delivered with the application (or alternatively provide a written offer with instructions on how to get the source code). It should be noted that the complete corresponding source code has to be delivered even if the library has not been modified at all.

Related Objects

StatusAssignedTask
OpenNone
Resolvedkislinsk

Event Timeline

kislinsk triaged this task as Normal priority.Dec 12 2017, 8:29 PM
kislinsk created this task.
kislinsk edited subscribers, added: metzger, nolden, goch; removed: neher.
kislinsk renamed this task from Provide written offer with instructions on how to get source code of LGPL licensed third-party libs to Provide written offer with instructions on how to get source code of Qt.Dec 18 2017, 4:21 AM
kislinsk renamed this task from Provide written offer with instructions on how to get source code of Qt to Provide source code of Qt.Dec 19 2017, 8:59 PM
floca added a subscriber: floca.Jul 11 2019, 5:14 PM

@kislinsk Shouldn't we raise priority, if we run otherwise in a licesnsing gray zone?

kislinsk closed this task as Resolved.Jul 15 2019, 9:37 AM
kislinsk claimed this task.

Oops, forgot to close, uploaded source code on April 30th here: http://mitk.org/download/thirdparty/qt-src/